Name:           blobwars
Version:        1.11
Release:        3%{?dist}
Summary:        Mission and Objective based 2D Platform Game
Group:          Amusements/Games
License:        GPLv2+ and Redistributable, no modification permitted
#see README.fedora-music for details
URL:            http://www.parallelrealities.co.uk/blobWars.php
# no full URL as it gets downloaded through a php script, and nonfree sound files has been removed
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-1.09b2-music.tar.bz2
Patch0:         blobwars-1.09b2-makefile.patch
#Patch1:         blobwars-1.05-desktop.patch
#Patch2:         blobwars-1.07-es.patch
#Patch3:         blobwars-1.09b2-font_error.patch
Patch4:         blobwars-1.11-es.patch
Patch5:         blobwars-1.11-es-title.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  SDL_mixer-devel SDL_image-devel SDL_ttf-devel zlib-devel
BuildRequires:  gettext desktop-file-utils
Requires:       hicolor-icon-theme

%description
Blob Wars : Metal Blob Solid. This is Episode I of the Blob Wars Saga.
You must undertake the role of fearless Blob solider, Bob, as he infiltrates
various enemy installations and hideouts in an attempt to rescue as many
MIAs as possible.


%prep
%setup -q -a 1
%patch0 -p0 -z .makefile
#%patch1 -p1 -z .dsktop
#%patch2 -p0
#%patch3 -p1 -z .font_error
%patch4 -p0
%patch5 -p0

#
sed -e "s#Name=Metal Blob Solid#Name=Blob Wars : Metal Blob Solid#" -i icons/blobwars.desktop
echo >> "Comment=Mission and Objective based 2D Platform Game" icons/blobwars.desktop

chmod a-x src/* doc/*
 
cp -p *{.xm,.s3m,.mod} music/


%build
make %{?_smp_mflags} CFLAGS="$RPM_OPT_FLAGS" \
  DOCDIR=%{_docdir}/%{name}-%{version}/


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
desktop-file-install --vendor fedora --delete-original    \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications           \
  --remove-category=Application                           \
  --add-category=ActionGame                               \
  --remove-key=X-Desktop-File-Install-Version             \
  $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

rm -rf $RPM_BUILD_ROOT%{_docdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc doc/* README.fedora-music
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png


%changelog
* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 07 2009 Rafał Psota <rafalzaq@gmail.com> 1.11-1
- update to 1.11 (bz 488584)

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.09b2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Aug 30 2008 Rafał Psota <rafalzaq@gmail.com> 1.09b2-2
- FONT_ERROR patch (thanks to Michał Bentkowski)

* Fri Aug 29 2008 Rafał Psota <rafalzaq@gmail.com> 1.09b2-1
- remove nonfree sounds and music

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.07-2
- Autorebuild for GCC 4.3

* Sun Sep 16 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.07-1
- New upstream version 1.07 (bz 292391)

* Sun Aug  5 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.06-2
- Update License tag for new Licensing Guidelines compliance

* Tue Apr 10 2007 Hans de Goede <j.w.r.degoede@hhs.nl> 1.06-1
- New upstream release 1.06-2

* Mon Aug 28 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.05-3
- FE6 Rebuild

* Thu Jun  1 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.05-2
- remove extreanous BR SDL-devel and ImageMagick
- remove extreanous "export" in %%build section
- remove extreanous "-n %%{name}-%%{version}" under %%setup
- cleanup .desktop file

* Sun May 14 2006 Hans de Goede <j.w.r.degoede@hhs.nl> 1.05-1
- initial Fedora Extras package
